%define major 1
%define libname %mklibname kate %{major}
%define develname %mklibname -d kate

Summary: Karaoke and text codec for embedding in ogg
Name: libkate
Version: 0.4.1
Release: %mkrel 16
Source0: http://libkate.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0: libkate-check-wxpython.patch
Patch1: libkate-check-oggz-tools.patch
Patch2: libkate-bitwise-test.patch
Patch3: libkate-str-fmt.patch
Patch4: libkate-KateDJ-man.patch
License: BSD
Group: System/Libraries
Url: http://code.google.com/p/libkate/
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(ogg)
BuildRequires: liboggz-tools
BuildRequires: doxygen

%description
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplixed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{libname}
Group: System/Libraries
Summary: Karaoke and text codec for embedding in ogg

%description -n %{libname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplixed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{develname}
Group: Development/C
Summary: Karaoke and text codec for embedding in ogg
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}kate-static-devel < 0.4.1-14

%description -n %{develname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplixed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package tools
Group: Video/Utilities
Summary: Karaoke and text codec for embedding in ogg
Requires: %{libname} = %{version}-%{release}

%description tools
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplixed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,LIBTOOLFLAGS,AM_LIBTOOLFLAGS,g' Makefile.am */Makefile.am
sed -i -e 's,-Werror,-Wno-error,' configure.ac
sed -i -e 's,AC_PROG_LIBTOOL,AM_PROG_AR\nAC_PROG_LIBTOOL,' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

mkdir -p installed-docs
mv %{buildroot}%{_datadir}/doc/%{name}/html installed-docs
rm -rf %{buildroot}%{_datadir}/doc

%check
%__make check

%files tools
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/kateenc
%{_mandir}/man1/katalyzer.1*
%{_mandir}/man1/katedec.1*
%{_mandir}/man1/kateenc.1*

%files -n %{libname}
%doc README THANKS AUTHORS
%{_libdir}/libkate.so.%{major}{,.*}
%{_libdir}/liboggkate.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog installed-docs/*
%{_libdir}/libkate.so
%{_libdir}/liboggkate.so
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc
%{_includedir}/kate


%changelog
* Tue Aug 04 2020 joequant <joequant> 0.4.1-16.mga8
+ Revision: 1611014
- revert arm

* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-15.mga8
+ Revision: 1541561
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 29 2019 wally <wally> 0.4.1-14.mga8
+ Revision: 1474710
- drop python2 only python-kdj
- add patches from upstream
- drop .la files
- drop static devel pkg

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-13.mga7
+ Revision: 1298936
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.4.1-12.mga7
+ Revision: 1234014
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Mar 11 2016 blino <blino> 0.4.1-11.mga6
+ Revision: 988888
- rebuild for ARM

* Fri Feb 05 2016 umeabot <umeabot> 0.4.1-10.mga6
+ Revision: 937452
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.4.1-9.mga6
+ Revision: 937005
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-8.mga5
+ Revision: 741878
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-7.mga5
+ Revision: 726724
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 681549
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.1-5.mga5
+ Revision: 628298
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-4.mga4
+ Revision: 526007
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.4.1-3.mga4
+ Revision: 435501
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 357553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 0.4.1-1.mga3
+ Revision: 342956
- 0.4.1
- add make check

* Fri Nov 30 2012 ovitters <ovitters> 0.3.8-4.mga3
+ Revision: 323400
- clean spec
- fix rpm group

* Sun Sep 11 2011 fwang <fwang> 0.3.8-3.mga2
+ Revision: 142380
- rebuild for new mapnik

* Tue Jan 25 2011 ahmad <ahmad> 0.3.8-2.mga1
+ Revision: 39480
- imported package libkate

